----------Inserta los permisos de verCosto y verValores y los asigna al usuario administrador para cada uno de los tipos de documento----------
---------- 10/03/2011 04:13 pm  Andrey Ortiz
declare @uid varchar(100)
select @uid=uid from seg_usuario where id=1
declare @id_padre int
select top 1 @id_padre=id from gui_funcionalidad where funcionalidad = 'planear' and id_funcionalidad in (select id from gui_funcionalidad where funcionalidad = 'Todas las Ots')
if not exists (select * from gui_funcionalidad where nombreComando='verCosto' and nombreControl='doc_documento.ot')
begin
insert into gui_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,funcionalidad,funcionalidad_codigo,esMenu,nombreControl,nombreComando,orden,id_funcionalidad,id_tipoFuncionalidad) values (@uid, '01','0','0',getdate(), getdate(),1,'Ver costos',null,0,'doc_documento.ot', 'verCosto',1,@id_padre,5)
end
else
begin
UPDATE gui_funcionalidad set active =1 where nombreComando='verCosto' and nombreControl='doc_documento.ot'
end
if not exists (select * from gui_funcionalidad where nombreComando='verValores' and nombreControl='doc_documento.ot')
begin
insert into gui_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,funcionalidad,funcionalidad_codigo,esMenu,nombreControl,nombreComando,orden,id_funcionalidad,id_tipoFuncionalidad) values (@uid, '01','0','0',getdate(), getdate(),1,'Ver valores',null,0,'doc_documento.ot', 'verValores',2,@id_padre,5)
end
else
begin
UPDATE gui_funcionalidad set active =1 where nombreComando='verValores' and nombreControl='doc_documento.ot'
end
select top 1 @id_padre=id from gui_funcionalidad where Funcionalidad ='ITEMS' and id_funcionalidad in (select id from gui_funcionalidad where funcionalidad = 'requisicion')
if not exists (select * from gui_funcionalidad where nombreComando='verCosto' and nombreControl='doc_documento.requisicion')
begin
insert into gui_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,funcionalidad,funcionalidad_codigo,esMenu,nombreControl,nombreComando,orden,id_funcionalidad,id_tipoFuncionalidad) values (@uid, '01','0','0',getdate(), getdate(),1,'Ver costos',null,0,'doc_documento.requisicion', 'verCosto',1,@id_padre,5)
end
else
begin
UPDATE gui_funcionalidad set active =1 where nombreComando='verCosto' and nombreControl='doc_documento.requisicion'
end
if not exists (select * from gui_funcionalidad where nombreComando='verValores' and nombreControl='doc_documento.requisicion')
begin
insert into gui_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,funcionalidad,funcionalidad_codigo,esMenu,nombreControl,nombreComando,orden,id_funcionalidad,id_tipoFuncionalidad) values (@uid, '01','0','0',getdate(), getdate(),1,'Ver valores',null,0,'doc_documento.requisicion', 'verValores',2,@id_padre,5)
end
else
begin
UPDATE gui_funcionalidad set active =1 where nombreComando='verValores' and nombreControl='doc_documento.requisicion'
end
select top 1 @id_padre=id from gui_funcionalidad where Funcionalidad ='ITEMS' and id_funcionalidad in (select id from gui_funcionalidad where funcionalidad = 'orden de compra')
if not exists (select * from gui_funcionalidad where nombreComando='verCosto' and nombreControl='doc_documento.ordenCompra')
begin
insert into gui_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,funcionalidad,funcionalidad_codigo,esMenu,nombreControl,nombreComando,orden,id_funcionalidad,id_tipoFuncionalidad) values (@uid, '01','0','0',getdate(), getdate(),1,'Ver costos',null,0,'doc_documento.ordenCompra', 'verCosto',1,@id_padre,5)
end
else
begin
UPDATE gui_funcionalidad set active =1 where nombreComando='verCosto' and nombreControl='doc_documento.ordenCompra'
end
if not exists (select * from gui_funcionalidad where nombreComando='verValores' and nombreControl='doc_documento.ordenCompra')
begin
insert into gui_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,funcionalidad,funcionalidad_codigo,esMenu,nombreControl,nombreComando,orden,id_funcionalidad,id_tipoFuncionalidad) values (@uid, '01','0','0',getdate(), getdate(),1,'Ver valores',null,0,'doc_documento.ordenCompra', 'verValores',2,@id_padre,5)
end
else
begin
UPDATE gui_funcionalidad set active =1 where nombreComando='verValores' and nombreControl='doc_documento.ordenCompra'
end
select top 1 @id_padre=id from gui_funcionalidad where Funcionalidad ='ITEMS' and id_funcionalidad in (select id from gui_funcionalidad where funcionalidad = 'cotizacion')
if not exists (select * from gui_funcionalidad where nombreComando='verCosto' and nombreControl='doc_documento.cotizacion')
begin
insert into gui_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,funcionalidad,funcionalidad_codigo,esMenu,nombreControl,nombreComando,orden,id_funcionalidad,id_tipoFuncionalidad) values (@uid, '01','0','0',getdate(), getdate(),1,'Ver costos',null,0,'doc_documento.cotizacion', 'verCosto',1,@id_padre,5)
end
else
begin
UPDATE gui_funcionalidad set active =1 where nombreComando='verCosto' and nombreControl='doc_documento.cotizacion'
end
if not exists (select * from gui_funcionalidad where nombreComando='verValores' and nombreControl='doc_documento.cotizacion')
begin
insert into gui_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,funcionalidad,funcionalidad_codigo,esMenu,nombreControl,nombreComando,orden,id_funcionalidad,id_tipoFuncionalidad) values (@uid, '01','0','0',getdate(), getdate(),1,'Ver valores',null,0,'doc_documento.cotizacion', 'verValores',2,@id_padre,5)
end
else
begin
UPDATE gui_funcionalidad set active =1 where nombreComando='verValores' and nombreControl='doc_documento.cotizacion'
end
select top 1 @id_padre=id from gui_funcionalidad where Funcionalidad ='ITEMS' and id_funcionalidad in (select id from gui_funcionalidad where funcionalidad = 'entrada')
if not exists (select * from gui_funcionalidad where nombreComando='verCosto' and nombreControl='doc_documento.entrada')
begin
insert into gui_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,funcionalidad,funcionalidad_codigo,esMenu,nombreControl,nombreComando,orden,id_funcionalidad,id_tipoFuncionalidad) values (@uid, '01','0','0',getdate(), getdate(),1,'Ver costos',null,0,'doc_documento.entrada', 'verCosto',1,@id_padre,5)
end
else
begin
UPDATE gui_funcionalidad set active =1 where nombreComando='verCosto' and nombreControl='doc_documento.entrada'
end
if not exists (select * from gui_funcionalidad where nombreComando='verValores' and nombreControl='doc_documento.entrada')
begin
insert into gui_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,funcionalidad,funcionalidad_codigo,esMenu,nombreControl,nombreComando,orden,id_funcionalidad,id_tipoFuncionalidad) values (@uid, '01','0','0',getdate(), getdate(),1,'Ver valores',null,0,'doc_documento.entrada', 'verValores',2,@id_padre,5)
end
else
begin
UPDATE gui_funcionalidad set active =1 where nombreComando='verValores' and nombreControl='doc_documento.entrada'
end
select top 1 @id_padre=id from gui_funcionalidad where Funcionalidad ='ITEMS' and id_funcionalidad in (select id from gui_funcionalidad where funcionalidad = 'salida')
if not exists (select * from gui_funcionalidad where nombreComando='verCosto' and nombreControl='doc_documento.salida')
begin
insert into gui_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,funcionalidad,funcionalidad_codigo,esMenu,nombreControl,nombreComando,orden,id_funcionalidad,id_tipoFuncionalidad) values (@uid, '01','0','0',getdate(), getdate(),1,'Ver costos',null,0,'doc_documento.salida', 'verCosto',1,@id_padre,5)
end
else
begin
UPDATE gui_funcionalidad set active =1 where nombreComando='verCosto' and nombreControl='doc_documento.salida'
end
if not exists (select * from gui_funcionalidad where nombreComando='verValores' and nombreControl='doc_documento.salida')
begin
insert into gui_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,funcionalidad,funcionalidad_codigo,esMenu,nombreControl,nombreComando,orden,id_funcionalidad,id_tipoFuncionalidad) values (@uid, '01','0','0',getdate(), getdate(),1,'Ver valores',null,0,'doc_documento.salida', 'verValores',2,@id_padre,5)
end
else
begin
UPDATE gui_funcionalidad set active =1 where nombreComando='verValores' and nombreControl='doc_documento.salida'
end
select top 1 @id_padre=id from gui_funcionalidad where Funcionalidad ='itemDocumento' and id_funcionalidad in (select id from gui_funcionalidad where funcionalidad = 'traslado')
if not exists (select * from gui_funcionalidad where nombreComando='verCosto' and nombreControl='doc_documento.traslado')
begin
insert into gui_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,funcionalidad,funcionalidad_codigo,esMenu,nombreControl,nombreComando,orden,id_funcionalidad,id_tipoFuncionalidad) values (@uid, '01','0','0',getdate(), getdate(),1,'Ver costos',null,0,'doc_documento.traslado', 'verCosto',1,@id_padre,5)
end
else
begin
UPDATE gui_funcionalidad set active =1 where nombreComando='verCosto' and nombreControl='doc_documento.traslado'
end
if not exists (select * from gui_funcionalidad where nombreComando='verValores' and nombreControl='doc_documento.traslado')
begin
insert into gui_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,funcionalidad,funcionalidad_codigo,esMenu,nombreControl,nombreComando,orden,id_funcionalidad,id_tipoFuncionalidad) values (@uid, '01','0','0',getdate(), getdate(),1,'Ver valores',null,0,'doc_documento.traslado', 'verValores',2,@id_padre,5)
end
else
begin
UPDATE gui_funcionalidad set active =1 where nombreComando='verValores' and nombreControl='doc_documento.traslado'
end
(select top 1 @id_padre=id from gui_funcionalidad where nombreComando = 'verCosto' and nombreControl = 'doc_documento.ot')
if not exists (select * from seg_perfil_funcionalidad where id_perfil=2 and id_funcionalidad = @id_padre)
begin
insert into seg_perfil_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,id_perfil,id_funcionalidad,perfil_funcionalidad) values (@uid,'01','0','0',getdate(),getdate(),1,2,@id_padre,'')
end
else
begin
update seg_perfil_funcionalidad set active=1 where id_perfil=2 and id_funcionalidad = @id_padre
end
(select top 1 @id_padre=id from gui_funcionalidad where nombreComando = 'verValores' and nombreControl = 'doc_documento.ot')
if not exists (select * from seg_perfil_funcionalidad where id_perfil=2 and id_funcionalidad = @id_padre)
begin
insert into seg_perfil_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,id_perfil,id_funcionalidad,perfil_funcionalidad) values (@uid,'01','0','0',getdate(),getdate(),1,2,@id_padre,'')
end
else
begin
update seg_perfil_funcionalidad set active=1 where id_perfil=2 and id_funcionalidad = @id_padre
end
(select top 1 @id_padre=id from gui_funcionalidad where nombreComando = 'verCosto' and nombreControl = 'doc_documento.requisicion')
if not exists (select * from seg_perfil_funcionalidad where id_perfil=2 and id_funcionalidad = @id_padre)
begin
insert into seg_perfil_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,id_perfil,id_funcionalidad,perfil_funcionalidad) values (@uid,'01','0','0',getdate(),getdate(),1,2,@id_padre,'')
end
else
begin
update seg_perfil_funcionalidad set active=1 where id_perfil=2 and id_funcionalidad = @id_padre
end
(select top 1 @id_padre=id from gui_funcionalidad where nombreComando = 'verValores' and nombreControl = 'doc_documento.requisicion')
if not exists (select * from seg_perfil_funcionalidad where id_perfil=2 and id_funcionalidad = @id_padre)
begin
insert into seg_perfil_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,id_perfil,id_funcionalidad,perfil_funcionalidad) values (@uid,'01','0','0',getdate(),getdate(),1,2,@id_padre,'')
end
else
begin
update seg_perfil_funcionalidad set active=1 where id_perfil=2 and id_funcionalidad = @id_padre
end
(select top 1 @id_padre=id from gui_funcionalidad where nombreComando = 'verCosto' and nombreControl = 'doc_documento.ordenCompra')
if not exists (select * from seg_perfil_funcionalidad where id_perfil=2 and id_funcionalidad = @id_padre)
begin
insert into seg_perfil_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,id_perfil,id_funcionalidad,perfil_funcionalidad) values (@uid,'01','0','0',getdate(),getdate(),1,2,@id_padre,'')
end
else
begin
update seg_perfil_funcionalidad set active=1 where id_perfil=2 and id_funcionalidad = @id_padre
end
(select top 1 @id_padre=id from gui_funcionalidad where nombreComando = 'verValores' and nombreControl = 'doc_documento.ordenCompra')
if not exists (select * from seg_perfil_funcionalidad where id_perfil=2 and id_funcionalidad = @id_padre)
begin
insert into seg_perfil_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,id_perfil,id_funcionalidad,perfil_funcionalidad) values (@uid,'01','0','0',getdate(),getdate(),1,2,@id_padre,'')
end
else
begin
update seg_perfil_funcionalidad set active=1 where id_perfil=2 and id_funcionalidad = @id_padre
end
(select top 1 @id_padre=id from gui_funcionalidad where nombreComando = 'verCosto' and nombreControl = 'doc_documento.cotizacion')
if not exists (select * from seg_perfil_funcionalidad where id_perfil=2 and id_funcionalidad = @id_padre)
begin
insert into seg_perfil_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,id_perfil,id_funcionalidad,perfil_funcionalidad) values (@uid,'01','0','0',getdate(),getdate(),1,2,@id_padre,'')
end
else
begin
update seg_perfil_funcionalidad set active=1 where id_perfil=2 and id_funcionalidad = @id_padre
end
(select top 1 @id_padre=id from gui_funcionalidad where nombreComando = 'verValores' and nombreControl = 'doc_documento.cotizacion')
if not exists (select * from seg_perfil_funcionalidad where id_perfil=2 and id_funcionalidad = @id_padre)
begin
insert into seg_perfil_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,id_perfil,id_funcionalidad,perfil_funcionalidad) values (@uid,'01','0','0',getdate(),getdate(),1,2,@id_padre,'')
end
else
begin
update seg_perfil_funcionalidad set active=1 where id_perfil=2 and id_funcionalidad = @id_padre
end
(select top 1 @id_padre=id from gui_funcionalidad where nombreComando = 'verCosto' and nombreControl = 'doc_documento.entrada')
if not exists (select * from seg_perfil_funcionalidad where id_perfil=2 and id_funcionalidad = @id_padre)
begin
insert into seg_perfil_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,id_perfil,id_funcionalidad,perfil_funcionalidad) values (@uid,'01','0','0',getdate(),getdate(),1,2,@id_padre,'')
end
else
begin
update seg_perfil_funcionalidad set active=1 where id_perfil=2 and id_funcionalidad = @id_padre
end
(select top 1 @id_padre=id from gui_funcionalidad where nombreComando = 'verValores' and nombreControl = 'doc_documento.entrada')
if not exists (select * from seg_perfil_funcionalidad where id_perfil=2 and id_funcionalidad = @id_padre)
begin
insert into seg_perfil_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,id_perfil,id_funcionalidad,perfil_funcionalidad) values (@uid,'01','0','0',getdate(),getdate(),1,2,@id_padre,'')
end
else
begin
update seg_perfil_funcionalidad set active=1 where id_perfil=2 and id_funcionalidad = @id_padre
end
(select top 1 @id_padre=id from gui_funcionalidad where nombreComando = 'verCosto' and nombreControl = 'doc_documento.salida')
if not exists (select * from seg_perfil_funcionalidad where id_perfil=2 and id_funcionalidad = @id_padre)
begin
insert into seg_perfil_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,id_perfil,id_funcionalidad,perfil_funcionalidad) values (@uid,'01','0','0',getdate(),getdate(),1,2,@id_padre,'')
end
else
begin
update seg_perfil_funcionalidad set active=1 where id_perfil=2 and id_funcionalidad = @id_padre
end
(select top 1 @id_padre=id from gui_funcionalidad where nombreComando = 'verValores' and nombreControl = 'doc_documento.salida')
if not exists (select * from seg_perfil_funcionalidad where id_perfil=2 and id_funcionalidad = @id_padre)
begin
insert into seg_perfil_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,id_perfil,id_funcionalidad,perfil_funcionalidad) values (@uid,'01','0','0',getdate(),getdate(),1,2,@id_padre,'')
end
else
begin
update seg_perfil_funcionalidad set active=1 where id_perfil=2 and id_funcionalidad = @id_padre
end
(select top 1 @id_padre=id from gui_funcionalidad where nombreComando = 'verCosto' and nombreControl = 'doc_documento.traslado')
if not exists (select * from seg_perfil_funcionalidad where id_perfil=2 and id_funcionalidad = @id_padre)
begin
insert into seg_perfil_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,id_perfil,id_funcionalidad,perfil_funcionalidad) values (@uid,'01','0','0',getdate(),getdate(),1,2,@id_padre,'')
end
else
begin
update seg_perfil_funcionalidad set active=1 where id_perfil=2 and id_funcionalidad = @id_padre
end
(select top 1 @id_padre=id from gui_funcionalidad where nombreComando = 'verValores' and nombreControl = 'doc_documento.traslado')
if not exists (select * from seg_perfil_funcionalidad where id_perfil=2 and id_funcionalidad = @id_padre)
begin
insert into seg_perfil_funcionalidad (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,id_perfil,id_funcionalidad,perfil_funcionalidad) values (@uid,'01','0','0',getdate(),getdate(),1,2,@id_padre,'')
end
else
begin
update seg_perfil_funcionalidad set active=1 where id_perfil=2 and id_funcionalidad = @id_padre
end